# Tasks & Projects

## Get all tasks

> Returns a paginated list of tasks for the organization.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"GetTasksResponseBody":{"properties":{"data":{"description":"The data payload of the response.","items":{"$ref":"#/components/schemas/Task"},"type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Task":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"assignee":{"$ref":"#/components/schemas/TaskAssignee"},"body_html":{"description":"The body of the task in HTML format.","type":"string"},"created_at":{"description":"The created at time of the task.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom field values associated with the task, keyed by custom field slug.","type":"object"},"customer_portal_visible":{"description":"The customer portal visible of the task.","type":"boolean"},"due_date":{"description":"The due date of the task in RFC3339 format.","type":"string"},"id":{"description":"The ID of the task.","type":"string"},"milestone":{"$ref":"#/components/schemas/MiniMilestone"},"parent_task_id":{"description":"The ID of the parent task, if this is a subtask.","type":"string"},"project":{"$ref":"#/components/schemas/MiniProject"},"status":{"$ref":"#/components/schemas/TaskStatus"},"subtask_ids":{"description":"The IDs of subtasks belonging to this task.","items":{"type":"string"},"type":"array"},"title":{"description":"The title of the task.","type":"string"},"updated_at":{"description":"The updated at time of the task.","type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"TaskAssignee":{"properties":{"contact":{"$ref":"#/components/schemas/MiniContact"},"user":{"$ref":"#/components/schemas/MiniUser"}},"type":"object"},"MiniContact":{"properties":{"email":{"description":"The email of the contact.","type":"string"},"id":{"description":"The ID of the contact.","type":"string"}},"type":"object"},"MiniUser":{"properties":{"email":{"description":"The email of the user.","type":"string"},"id":{"description":"The ID of the user.","type":"string"}},"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"MiniMilestone":{"properties":{"id":{"description":"The ID of the milestone.","type":"string"}},"type":"object"},"MiniProject":{"properties":{"id":{"description":"The ID of the project.","type":"string"}},"type":"object"},"TaskStatus":{"type":"string"},"Pagination":{"properties":{"cursor":{"description":"The cursor for the next page of results.","type":"string"},"has_next_page":{"description":"Indicates if there is a next page of results.","type":"boolean"}},"required":["cursor","has_next_page"],"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/tasks":{"get":{"description":"Returns a paginated list of tasks for the organization.\n\n**Rate limit:** 60 requests per minute","operationId":"GetTasks","parameters":[{"description":"The cursor to use for pagination.","in":"query","name":"cursor","schema":{"type":"string"}},{"description":"The number of tasks to fetch. Defaults to 100. Must be greater than 0 and less than 1000.","in":"query","name":"limit","schema":{"format":"int64","type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTasksResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Get all tasks","tags":["tasks"]}}}}
```

## Get a task by its ID

> Returns a single task by ID.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"GetTaskResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/Task"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Task":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"assignee":{"$ref":"#/components/schemas/TaskAssignee"},"body_html":{"description":"The body of the task in HTML format.","type":"string"},"created_at":{"description":"The created at time of the task.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom field values associated with the task, keyed by custom field slug.","type":"object"},"customer_portal_visible":{"description":"The customer portal visible of the task.","type":"boolean"},"due_date":{"description":"The due date of the task in RFC3339 format.","type":"string"},"id":{"description":"The ID of the task.","type":"string"},"milestone":{"$ref":"#/components/schemas/MiniMilestone"},"parent_task_id":{"description":"The ID of the parent task, if this is a subtask.","type":"string"},"project":{"$ref":"#/components/schemas/MiniProject"},"status":{"$ref":"#/components/schemas/TaskStatus"},"subtask_ids":{"description":"The IDs of subtasks belonging to this task.","items":{"type":"string"},"type":"array"},"title":{"description":"The title of the task.","type":"string"},"updated_at":{"description":"The updated at time of the task.","type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"TaskAssignee":{"properties":{"contact":{"$ref":"#/components/schemas/MiniContact"},"user":{"$ref":"#/components/schemas/MiniUser"}},"type":"object"},"MiniContact":{"properties":{"email":{"description":"The email of the contact.","type":"string"},"id":{"description":"The ID of the contact.","type":"string"}},"type":"object"},"MiniUser":{"properties":{"email":{"description":"The email of the user.","type":"string"},"id":{"description":"The ID of the user.","type":"string"}},"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"MiniMilestone":{"properties":{"id":{"description":"The ID of the milestone.","type":"string"}},"type":"object"},"MiniProject":{"properties":{"id":{"description":"The ID of the project.","type":"string"}},"type":"object"},"TaskStatus":{"type":"string"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/tasks/{id}":{"get":{"description":"Returns a single task by ID.\n\n**Rate limit:** 60 requests per minute","operationId":"GetTask","parameters":[{"description":"The ID of the task to fetch.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTaskResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Get a task by its ID","tags":["tasks"]}}}}
```

## Search for tasks by a given filter

> Currently, the following fields are filterable for tasks:\
> \
> \* account\_id. Allowed operators: \`equals\`, \`in\`, \`not\_in\`, \`is\_set\`\
> \
> \* project\_id. Allowed operators: \`equals\`, \`in\`, \`not\_in\`, \`is\_set\`, \`is\_unset\`\
> \
> \* status. Valid values are \`\["not\_started", "in\_progress", "completed"]\`. Allowed operators: \`equals\`, \`in\`, \`not\_in\`\
> \
> \* assignee\_id. Allowed operators: \`equals\`, \`in\`, \`not\_in\`, \`is\_set\`\
> \
> \* milestone\_id. Allowed operators: \`equals\`, \`in\`, \`not\_in\`, \`is\_set\`\
> \
> \* created\_at (in RFC3339 format). Allowed operators: \`time\_is\_after\`, \`time\_is\_before\`, \`time\_range\`\
> \
> \* due\_date (in RFC3339 format). Allowed operators: \`time\_is\_after\`, \`time\_is\_before\`, \`time\_range\`, \`is\_set\`\
> \
> \* updated\_at (in RFC3339 format). Allowed operators: \`time\_is\_after\`, \`time\_is\_before\`, \`time\_range\`\
> \
> \*\*Rate limit:\*\* 20 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"SearchTasksRequest":{"properties":{"cursor":{"description":"The cursor to use for pagination.","type":"string"},"filter":{"$ref":"#/components/schemas/Filter"},"limit":{"description":"The number of tasks to fetch. Defaults to 100. Must be greater than 0 and less than 1000.","format":"int64","type":"integer"}},"type":"object"},"Filter":{"properties":{"field":{"description":"The field for this filter.  For allowed fields, see the documentation for\n\nthe specific endpoint you are using.\n\nFor non-compound filters (any operators other than \"and\" or \"or\"),\n\nField must be set, along with either Value or Values, depending on the operator.","type":"string"},"operator":{"description":"The operator for this filter.\n\n`equals`: Matches objects that are exactly equal to the value in the field.\n\n`not_equals`: Matches objects that are not exactly equal to the value in the field.\n\n`contains`: For a multi-valued field, such as tags, this operator will match  objects that contain any of the values in the field.\n\n`does_not_contain`: For a multi-valued field, such as tags, this operator will match  objects that do not contain any of the values in the field.\n\n`in`: Matches objects if the field is one of several possible values,  as specified in the values array.\n\n`not_in`: Matches objects if the field is none of several possible values,  as specified in the values array.\n\n`and`: Matches objects only if all subfilters match.\n\n`or`: Matches objects if any subfilter matches.\n\n`time_is_after`: Matches objects if the field is after the given time.\n\n`time_is_before`: Matches objects if the field is before the given time.\n\n`time_range`: Matches objects if the field is between the given times.\n\n`string_contains`: Matches objects if the field contains the given string.\n\n`string_does_not_contain`: Matches objects if the field does not contain the given string.\n\n`is_set`: Matches objects if the field is set.\n\n`is_unset`: Matches objects if the field is unset.\n\n`greater_than`: Matches objects if the numeric field is greater than the given value.\n\n`less_than`: Matches objects if the numeric field is less than the given value.\n\n`greater_than_or_equals`: Matches objects if the numeric field is greater than or equal to the given value.\n\n`less_than_or_equals`: Matches objects if the numeric field is less than or equal to the given value.","enum":["equals","not_equals","contains","does_not_contain","in","not_in","and","or","time_is_after","time_is_before","time_range","string_contains","string_does_not_contain","is_set","is_unset","greater_than","less_than","greater_than_or_equals","less_than_or_equals"],"type":"string"},"subfilters":{"description":"Sub-filters for this filter.  Valid only when operator is \"and\" or \"or\".\n\nThe maximum allowed depth for a tree of filters is 3.","items":{"$ref":"#/components/schemas/Filter"},"type":"array"},"value":{"description":"The value for this filter. Only used for single-valued operators\n\n(\"equals\", \"not_equals\", \"contains\", \"does_not_contain\")","type":"string"},"values":{"description":"The values for this filter. Only used for multi-valued operators (\"in\", \"not_in\").","items":{"type":"string"},"type":"array"}},"required":["field","operator"],"type":"object"},"SearchTasksResponseBody":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Task"},"type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"},"request_id":{"type":"string"}},"type":"object"},"Task":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"assignee":{"$ref":"#/components/schemas/TaskAssignee"},"body_html":{"description":"The body of the task in HTML format.","type":"string"},"created_at":{"description":"The created at time of the task.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom field values associated with the task, keyed by custom field slug.","type":"object"},"customer_portal_visible":{"description":"The customer portal visible of the task.","type":"boolean"},"due_date":{"description":"The due date of the task in RFC3339 format.","type":"string"},"id":{"description":"The ID of the task.","type":"string"},"milestone":{"$ref":"#/components/schemas/MiniMilestone"},"parent_task_id":{"description":"The ID of the parent task, if this is a subtask.","type":"string"},"project":{"$ref":"#/components/schemas/MiniProject"},"status":{"$ref":"#/components/schemas/TaskStatus"},"subtask_ids":{"description":"The IDs of subtasks belonging to this task.","items":{"type":"string"},"type":"array"},"title":{"description":"The title of the task.","type":"string"},"updated_at":{"description":"The updated at time of the task.","type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"TaskAssignee":{"properties":{"contact":{"$ref":"#/components/schemas/MiniContact"},"user":{"$ref":"#/components/schemas/MiniUser"}},"type":"object"},"MiniContact":{"properties":{"email":{"description":"The email of the contact.","type":"string"},"id":{"description":"The ID of the contact.","type":"string"}},"type":"object"},"MiniUser":{"properties":{"email":{"description":"The email of the user.","type":"string"},"id":{"description":"The ID of the user.","type":"string"}},"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"MiniMilestone":{"properties":{"id":{"description":"The ID of the milestone.","type":"string"}},"type":"object"},"MiniProject":{"properties":{"id":{"description":"The ID of the project.","type":"string"}},"type":"object"},"TaskStatus":{"type":"string"},"Pagination":{"properties":{"cursor":{"description":"The cursor for the next page of results.","type":"string"},"has_next_page":{"description":"Indicates if there is a next page of results.","type":"boolean"}},"required":["cursor","has_next_page"],"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/tasks/search":{"post":{"description":"Currently, the following fields are filterable for tasks:\n\n* account_id. Allowed operators: `equals`, `in`, `not_in`, `is_set`\n\n* project_id. Allowed operators: `equals`, `in`, `not_in`, `is_set`, `is_unset`\n\n* status. Valid values are `[\"not_started\", \"in_progress\", \"completed\"]`. Allowed operators: `equals`, `in`, `not_in`\n\n* assignee_id. Allowed operators: `equals`, `in`, `not_in`, `is_set`\n\n* milestone_id. Allowed operators: `equals`, `in`, `not_in`, `is_set`\n\n* created_at (in RFC3339 format). Allowed operators: `time_is_after`, `time_is_before`, `time_range`\n\n* due_date (in RFC3339 format). Allowed operators: `time_is_after`, `time_is_before`, `time_range`, `is_set`\n\n* updated_at (in RFC3339 format). Allowed operators: `time_is_after`, `time_is_before`, `time_range`\n\n**Rate limit:** 20 requests per minute","operationId":"SearchTasks","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchTasksRequest"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchTasksResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Search for tasks by a given filter","tags":["tasks"]}}}}
```

## Create a task

> Creates a new task with a title and optional metadata.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"CreateTaskRequestBody":{"properties":{"account_id":{"description":"Account ID for this task","type":"string"},"assignee_id":{"description":"Assignee ID for this task","type":"string"},"body_html":{"description":"Body HTML for this task","type":"string"},"custom_fields":{"description":"An array of custom fields to be used on this task.","items":{"$ref":"#/components/schemas/CustomFieldValue"},"type":"array"},"customer_portal_visible":{"default":false,"description":"Customer portal visible for this task","type":"boolean"},"due_date":{"description":"Due date for this task, in RFC 3339 format","type":"string"},"milestone_id":{"description":"Milestone ID for this task","type":"string"},"project_id":{"description":"Project ID for this task","type":"string"},"status":{"$ref":"#/components/schemas/TaskStatus"},"title":{"description":"Title for this task","type":"string"}},"required":["title"],"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"TaskStatus":{"type":"string"},"CreateTaskResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/Task"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Task":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"assignee":{"$ref":"#/components/schemas/TaskAssignee"},"body_html":{"description":"The body of the task in HTML format.","type":"string"},"created_at":{"description":"The created at time of the task.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom field values associated with the task, keyed by custom field slug.","type":"object"},"customer_portal_visible":{"description":"The customer portal visible of the task.","type":"boolean"},"due_date":{"description":"The due date of the task in RFC3339 format.","type":"string"},"id":{"description":"The ID of the task.","type":"string"},"milestone":{"$ref":"#/components/schemas/MiniMilestone"},"parent_task_id":{"description":"The ID of the parent task, if this is a subtask.","type":"string"},"project":{"$ref":"#/components/schemas/MiniProject"},"status":{"$ref":"#/components/schemas/TaskStatus"},"subtask_ids":{"description":"The IDs of subtasks belonging to this task.","items":{"type":"string"},"type":"array"},"title":{"description":"The title of the task.","type":"string"},"updated_at":{"description":"The updated at time of the task.","type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"TaskAssignee":{"properties":{"contact":{"$ref":"#/components/schemas/MiniContact"},"user":{"$ref":"#/components/schemas/MiniUser"}},"type":"object"},"MiniContact":{"properties":{"email":{"description":"The email of the contact.","type":"string"},"id":{"description":"The ID of the contact.","type":"string"}},"type":"object"},"MiniUser":{"properties":{"email":{"description":"The email of the user.","type":"string"},"id":{"description":"The ID of the user.","type":"string"}},"type":"object"},"MiniMilestone":{"properties":{"id":{"description":"The ID of the milestone.","type":"string"}},"type":"object"},"MiniProject":{"properties":{"id":{"description":"The ID of the project.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/tasks":{"post":{"description":"Creates a new task with a title and optional metadata.\n\n**Rate limit:** 60 requests per minute","operationId":"CreateTask","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTaskRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTaskResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Create a task","tags":["tasks"]}}}}
```

## Update a task

> Updates an existing task. Only provided fields are modified.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"UpdateTaskRequestBody":{"properties":{"assignee_id":{"description":"Assignee ID for this task","type":"string"},"body_html":{"description":"Body HTML for this task","type":"string"},"custom_fields":{"description":"An array of custom fields to be used on this task. Only passed in fields will be modified.","items":{"$ref":"#/components/schemas/CustomFieldValue"},"type":"array"},"customer_portal_visible":{"description":"Customer portal visible for this task","type":"boolean"},"due_date":{"description":"Due date for this task, in RFC 3339 format","type":"string"},"milestone_id":{"description":"Milestone ID for this task","type":"string"},"project_id":{"description":"Project ID for this task","type":"string"},"status":{"$ref":"#/components/schemas/TaskStatus"},"title":{"description":"Title for this task","type":"string"}},"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"TaskStatus":{"type":"string"},"UpdateTaskResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/Task"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Task":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"assignee":{"$ref":"#/components/schemas/TaskAssignee"},"body_html":{"description":"The body of the task in HTML format.","type":"string"},"created_at":{"description":"The created at time of the task.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom field values associated with the task, keyed by custom field slug.","type":"object"},"customer_portal_visible":{"description":"The customer portal visible of the task.","type":"boolean"},"due_date":{"description":"The due date of the task in RFC3339 format.","type":"string"},"id":{"description":"The ID of the task.","type":"string"},"milestone":{"$ref":"#/components/schemas/MiniMilestone"},"parent_task_id":{"description":"The ID of the parent task, if this is a subtask.","type":"string"},"project":{"$ref":"#/components/schemas/MiniProject"},"status":{"$ref":"#/components/schemas/TaskStatus"},"subtask_ids":{"description":"The IDs of subtasks belonging to this task.","items":{"type":"string"},"type":"array"},"title":{"description":"The title of the task.","type":"string"},"updated_at":{"description":"The updated at time of the task.","type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"TaskAssignee":{"properties":{"contact":{"$ref":"#/components/schemas/MiniContact"},"user":{"$ref":"#/components/schemas/MiniUser"}},"type":"object"},"MiniContact":{"properties":{"email":{"description":"The email of the contact.","type":"string"},"id":{"description":"The ID of the contact.","type":"string"}},"type":"object"},"MiniUser":{"properties":{"email":{"description":"The email of the user.","type":"string"},"id":{"description":"The ID of the user.","type":"string"}},"type":"object"},"MiniMilestone":{"properties":{"id":{"description":"The ID of the milestone.","type":"string"}},"type":"object"},"MiniProject":{"properties":{"id":{"description":"The ID of the project.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/tasks/{id}":{"patch":{"description":"Updates an existing task. Only provided fields are modified.\n\n**Rate limit:** 60 requests per minute","operationId":"UpdateTask","parameters":[{"description":"The ID of the task to update.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTaskRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTaskResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Update a task","tags":["tasks"]}}}}
```

## Delete an existing task

> Permanently deletes a task by ID.\
> \
> \*\*Rate limit:\*\* 20 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"DeleteTaskResponseBody":{"properties":{"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/tasks/{id}":{"delete":{"description":"Permanently deletes a task by ID.\n\n**Rate limit:** 20 requests per minute","operationId":"DeleteTask","parameters":[{"description":"The ID of the task to delete.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteTaskResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Delete an existing task","tags":["tasks"]}}}}
```

## Update a project

> Updates an existing project. Only provided fields are modified.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"UpdateProjectRequestBody":{"properties":{"customer_portal_visible":{"description":"Customer portal visible for this project","type":"boolean"},"description_html":{"description":"Description HTML for this project","type":"string"},"end_date":{"description":"End date for this project, in RFC 3339 format","type":"string"},"is_archived":{"description":"Whether the project is archived","type":"boolean"},"name":{"description":"Name for this project","type":"string"},"owner_id":{"description":"Owner ID for this project","type":"string"},"start_date":{"description":"Start date for this project, in RFC 3339 format","type":"string"}},"type":"object"},"UpdateProjectResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/Project"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Project":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"archived_at":{"description":"The archived at time of the project in RFC3339 format.","type":"string"},"created_at":{"description":"The created at time of the project.","type":"string"},"customer_portal_visible":{"description":"The customer portal visible of the project.","type":"boolean"},"description_html":{"description":"The description of the project in HTML format.","type":"string"},"end_date":{"description":"The end date of the project in RFC3339 format.","type":"string"},"id":{"description":"The ID of the project.","type":"string"},"is_archived":{"description":"Whether the project is archived.","type":"boolean"},"name":{"description":"The name of the project.","type":"string"},"owner_id":{"description":"The owner ID of the project.","type":"string"},"project_template":{"$ref":"#/components/schemas/MiniProjectTemplate"},"start_date":{"description":"The start date of the project in RFC3339 format.","type":"string"},"updated_at":{"description":"The updated at time of the project.","type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"MiniProjectTemplate":{"properties":{"id":{"description":"The ID of the project template.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/projects/{id}":{"patch":{"description":"Updates an existing project. Only provided fields are modified.\n\n**Rate limit:** 60 requests per minute","operationId":"UpdateProject","parameters":[{"description":"The ID of the project to update.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProjectRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProjectResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Update a project","tags":["projects"]}}}}
```

## Delete an existing project

> Permanently deletes a project by ID.\
> \
> \*\*Rate limit:\*\* 20 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"DeleteProjectResponseBody":{"properties":{"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/projects/{id}":{"delete":{"description":"Permanently deletes a project by ID.\n\n**Rate limit:** 20 requests per minute","operationId":"DeleteProject","parameters":[{"description":"The ID of the project to delete.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteProjectResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Delete an existing project","tags":["projects"]}}}}
```

## Create a project

> Creates a new project for an account.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"CreateProjectRequestBody":{"properties":{"account_id":{"description":"Account ID for this project","type":"string"},"customer_portal_visible":{"default":false,"description":"Customer portal visible for this project","type":"boolean"},"description_html":{"description":"Description HTML for this project","type":"string"},"end_date":{"description":"End date for this project, in RFC 3339 format","type":"string"},"name":{"description":"Name for this project","type":"string"},"owner_id":{"description":"Owner ID for this project","type":"string"},"project_template_id":{"description":"Project template ID for this project","type":"string"},"start_date":{"description":"Start date for this project, in RFC 3339 format","type":"string"}},"required":["account_id","name"],"type":"object"},"CreateProjectResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/Project"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Project":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"archived_at":{"description":"The archived at time of the project in RFC3339 format.","type":"string"},"created_at":{"description":"The created at time of the project.","type":"string"},"customer_portal_visible":{"description":"The customer portal visible of the project.","type":"boolean"},"description_html":{"description":"The description of the project in HTML format.","type":"string"},"end_date":{"description":"The end date of the project in RFC3339 format.","type":"string"},"id":{"description":"The ID of the project.","type":"string"},"is_archived":{"description":"Whether the project is archived.","type":"boolean"},"name":{"description":"The name of the project.","type":"string"},"owner_id":{"description":"The owner ID of the project.","type":"string"},"project_template":{"$ref":"#/components/schemas/MiniProjectTemplate"},"start_date":{"description":"The start date of the project in RFC3339 format.","type":"string"},"updated_at":{"description":"The updated at time of the project.","type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"MiniProjectTemplate":{"properties":{"id":{"description":"The ID of the project template.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/projects":{"post":{"description":"Creates a new project for an account.\n\n**Rate limit:** 60 requests per minute","operationId":"CreateProject","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProjectRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProjectResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Create a project","tags":["projects"]}}}}
```

## Update a milestone

> Updates an existing milestone. Only provided fields are modified.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"UpdateMilestoneRequestBody":{"properties":{"due_date":{"description":"Due date for this milestone, in RFC 3339 format","type":"string"},"name":{"description":"Name for this milestone","type":"string"}},"type":"object"},"UpdateMilestoneResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/Milestone"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Milestone":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"created_at":{"type":"string"},"due_date":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"project":{"$ref":"#/components/schemas/MiniProject"},"updated_at":{"type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"MiniProject":{"properties":{"id":{"description":"The ID of the project.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/milestones/{id}":{"patch":{"description":"Updates an existing milestone. Only provided fields are modified.\n\n**Rate limit:** 60 requests per minute","operationId":"UpdateMilestone","parameters":[{"description":"The ID of the milestone to update.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMilestoneRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMilestoneResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Update a milestone","tags":["milestones"]}}}}
```

## Create a milestone

> Creates a new milestone within a project.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"CreateMilestoneRequestBody":{"properties":{"account_id":{"description":"Account ID for this project","type":"string"},"due_date":{"description":"Due date for this milestone, in RFC 3339 format","type":"string"},"name":{"description":"Name for this milestone","type":"string"},"project_id":{"description":"Project ID for this milestone","type":"string"}},"required":["name","project_id"],"type":"object"},"CreateMilestoneResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/Milestone"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"Milestone":{"properties":{"account":{"$ref":"#/components/schemas/MiniAccount"},"created_at":{"type":"string"},"due_date":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"project":{"$ref":"#/components/schemas/MiniProject"},"updated_at":{"type":"string"}},"type":"object"},"MiniAccount":{"properties":{"external_ids":{"description":"External IDs associated with the account.","items":{"$ref":"#/components/schemas/ExternalID"},"type":"array"},"id":{"description":"The ID of the account.","type":"string"}},"type":"object"},"ExternalID":{"properties":{"external_id":{"description":"The external ID. Must be unique per object type (ex. account).","type":"string"},"label":{"description":"The label of the external ID. Must be unique per object.","type":"string"}},"type":"object"},"MiniProject":{"properties":{"id":{"description":"The ID of the project.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/milestones":{"post":{"description":"Creates a new milestone within a project.\n\n**Rate limit:** 60 requests per minute","operationId":"CreateMilestone","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateMilestoneRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateMilestoneResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Create a milestone","tags":["milestones"]}}}}
```

## Delete a milestone

> Permanently deletes a milestone by ID.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"DeleteMilestoneResponseBody":{"properties":{"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/milestones/{id}":{"delete":{"description":"Permanently deletes a milestone by ID.\n\n**Rate limit:** 60 requests per minute","operationId":"DeleteMilestone","parameters":[{"description":"The ID of the milestone to delete.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteMilestoneResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Delete a milestone","tags":["milestones"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usepylon.com/pylon-docs/developer/api/api-reference/tasks-and-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
